Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ezpKernelTreeMenu Class Reference
Inheritance diagram for ezpKernelTreeMenu:

## Public Member Functions
| __construct (array $settings=array())
| run ()
| runCallback (\Closure $callback, $postReinitialize=true)
| setUseExceptions ( $useExceptions)
| reInitialize ()
| hasServiceContainer ()
| getServiceContainer ()

## Public Attributes
| $siteBasics

## Protected Member Functions
| sessionInit ()
| shutdown ( $reInitialize=true)
| exitWithInternalError ( $errorMessage, $errorCode=500)

## Protected Attributes
| $isInitialized = false
| $settings
| $access
| $uri

## Additional Inherited Members

## Detailed Description

File containing the ezpKernelTreeMenu class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Definition at line 11 of file ezpkerneltreemenu.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpKernelTreeMenu::__construct | ( | array | $settings = `array()` | ) |

Definition at line 43 of file ezpkerneltreemenu.php.

References $file, $ini, $section, $settings, $uri, eZExtension\activateExtensions(), eZExecution\addFatalErrorHandler(), eZSiteAccess\change(), eZPublishSDK\EDITION, exit, getServiceContainer(), eZDebug\HANDLE_FROM_PHP, hasServiceContainer(), eZSys\hostname(), eZSys\indexFile(), eZSys\init(), eZURI\instance(), eZSiteAccess\match(), eZSys\requestURI(), eZSys\serverPort(), eZSys\serverVariable(), eZDebug\setHandleType(), and setUseExceptions().

## Member Function Documentation

## ◆ exitWithInternalError()

ezpKernelTreeMenu::exitWithInternalError | ( |  | $errorMessage,
|  |  | $errorCode = `500`
| ) |  |
| protected

Handles an internal error. If not using exceptions, will return an ezpKernelResult object with JSON encoded message.

Parameters

  string | $errorMessage |
  int | $errorCode |

Returns
  ezpKernelResult

Exceptions

  RuntimeException |
  ezpAccessDenied |

See also
  setUseExceptions()

Definition at line 346 of file ezpkerneltreemenu.php.

References eZModule\$useExceptions, eZExecution\cleanup(), and eZExecution\setCleanExit().

Referenced by run().

## ◆ getServiceContainer()

ezpKernelTreeMenu::getServiceContainer | ( |  | ) |

Returns the Symfony service container if it has been injected, otherwise returns null.

Returns
  \Symfony\Component\DependencyInjection\ContainerInterface|null

Implements ezpKernelHandler.

Definition at line 394 of file ezpkerneltreemenu.php.

Referenced by __construct().

## ◆ hasServiceContainer()

ezpKernelTreeMenu::hasServiceContainer | ( |  | ) |

Checks whether the kernel handler has the Symfony service container container or not.

Returns
  bool

Implements ezpKernelHandler.

Definition at line 383 of file ezpkerneltreemenu.php.

Referenced by __construct().

## ◆ reInitialize()

ezpKernelTreeMenu::reInitialize | ( |  | ) |

Reinitializes the kernel environment.

Returns
  void

Implements ezpKernelHandler.

Definition at line 316 of file ezpkerneltreemenu.php.

## ◆ run()

ezpKernelTreeMenu::run | ( |  | ) |

Execution point for controller actions. Returns false if not supported

Returns
  ezpKernelResult

Implements ezpKernelHandler.

Definition at line 205 of file ezpkerneltreemenu.php.

References $content, $currentUser, $db, $module, eZUser\currentUser(), eZModule\exists(), exitWithInternalError(), eZSys\ezcrc32(), sessionInit(), and shutdown().

## ◆ runCallback()

ezpKernelTreeMenu::runCallback | ( | \Closure | $callback,
|  |  | $postReinitialize = `true`
| ) |  |

Not supported by ezpKernelTreeMenu

Exceptions

Implements ezpKernelHandler.

Definition at line 296 of file ezpkerneltreemenu.php.

## ◆ sessionInit()

ezpKernelTreeMenu::sessionInit | ( |  | ) |
| protected

Initializes the session. If running, through Symfony the session parameters from Symfony override the session parameter from Exponential.

Definition at line 168 of file ezpkerneltreemenu.php.

References $ini, eZSession\getHandlerInstance(), eZSession\init(), eZSession\lazyStart(), and eZSession\start().

Referenced by run().

## ◆ setUseExceptions()

ezpKernelTreeMenu::setUseExceptions | ( |  | $useExceptions | ) |

Sets whether to use exceptions inside the kernel.

Parameters

  bool | $useExceptions |

Implements ezpKernelHandler.

Definition at line 306 of file ezpkerneltreemenu.php.

References eZModule\$useExceptions.

Referenced by __construct().

## ◆ shutdown()

ezpKernelTreeMenu::shutdown | ( |  | $reInitialize = `true` | ) |
| protected

Runs the shutdown process

Definition at line 324 of file ezpkerneltreemenu.php.

References eZExecution\cleanup(), and eZExecution\setCleanExit().

Referenced by run().

## Member Data Documentation

## ◆ $access

ezpKernelTreeMenu::$access
| protected

Definition at line 36 of file ezpkerneltreemenu.php.

## ◆ $isInitialized

ezpKernelTreeMenu::$isInitialized = false
| protected

Definition at line 22 of file ezpkerneltreemenu.php.

## ◆ $settings

ezpKernelTreeMenu::$settings
| protected

Definition at line 29 of file ezpkerneltreemenu.php.

Referenced by __construct().

## ◆ $siteBasics

ezpKernelTreeMenu::$siteBasics

Definition at line 16 of file ezpkerneltreemenu.php.

## ◆ $uri

ezpKernelTreeMenu::$uri
| protected

Definition at line 41 of file ezpkerneltreemenu.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- ezpkerneltreemenu.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.